#!/usr/bin/python -u
# coding: utf-8

u"""Скрипт подготавливающий домены к загрузке в dnsmatch"""

from os import path
from sys import stdin, argv


def dnsify(domain):
    u"""Возвращает байтовую строку в HEX"""
    try:
        domain = domain.strip().decode('utf-8').encode('idna')
    except:
        raise Exception(domain)
    if not domain.startswith('.'):
        domain = '.' + domain
    dots = [len(word) for word in domain.split('.')]
    if len(dots) > 0 and dots[0] == 0:
        dots = dots[1:]
    dots = ["%.2x" % dot for dot in dots]
    print_line = " ".join(["%.2x" % (ord(char),) for char in domain])
    for dot in dots:
        print_line = print_line.replace('2e', dot, 1)
    return print_line


def process_domain(domain, list_id):
    u"""перекодирование и скармливание домена dnsify"""
    print "{0} {1} |{2}|".format("add", list_id, dnsify(domain))


def process_domain_list(filename=stdin, list_id=0):
    u"""Конвертит и печатает строки из файла, рулит www."""
    for line in filename.xreadlines():
        if line.startswith('www.'):
            if line.count('.') > 3:
                process_domain(line[4:], list_id)
            else:
                line = line[4:]
        process_domain(line, list_id)


def main():
    u"""выбираем что печатаем - список доменов или stdin/другой файл"""
    domain_block = '/usr/local/Reductor/lists/https.resolv'
    list_id = 0
    if len(argv) > 1 and path.exists(argv[1]):
        domain_block = argv[1]
    if len(argv) > 2 and argv[2].isdigit():
        list_id = int(argv[2])
    process_domain_list(open(domain_block), list_id)

if __name__ == '__main__':
    main()
