#!/bin/bash

. /usr/local/Reductor/etc/const
. $CONFIG
. $BINDIR/list_processing.sh

set -eu


CUSTOM_EXIT=1
LOCKDIR=/var/lock/reductor/
LOCKFILE=$LOCKDIR/reload_ip.sh.lock

trap __exit EXIT

__custom_exit() {
        flock -u 3
}

prepare() {
	mkdir -p $TMPDIR $LOCKDIR
	exec 3>$LOCKFILE
	echo "- Проверяем lock"
	flock -x 3
	if [ "${filter['https_by_nslookup']}" = '0' ]; then
		log "Пропускаем nslookup https-ресурсов т.к. отключен в меню"
		exit 0
	fi

	zero_files "${IP_FILES[@]}"
}

use_hook() {
	hook="$HOOKDIR/${0##*/}"
	if [ -x "$hook" ]; then
		. "$hook"
	fi
}

client_prepare_hook() {
	return 0
}

main() {
	client_prepare_hook
	echo "- Обработка списков ip"
	prepare
	resolv slow
	categorize_ip
	whitelisting_ip
	$BINDIR/load_ip.sh
}

use_hook
"${@:-main}"
