#!/bin/bash

if [ "$#" -lt '1' -o "$#" -gt '2' ]; then
	echo "Usage: $0 <ip of satellite machine> [ssh port]"
	echo "Example: $0 10.90.30.35"
	echo "Example: $0 10.90.30.36 33"
	exit 3
fi

set -eux

host=$1
port="${2:-22}"

/usr/local/Reductor/bin/export.sh /tmp/reductor_backup.tar.gz
scp -P $port /usr/local/Reductor/contrib/usr/local/bin/satellite_bootstrap.sh /tmp/reductor_backup.tar.gz root@$host:/root/
rm -f /tmp/reductor_backup.tar.gz
ssh root@$host -p $port bash /root/satellite_bootstrap.sh
