#!/bin/bash

log() {
        echo "$(date +"%Y-%m-%d %H:%M:%S") $HOSTNAME ${0##*/}[$$]: $@"
}

log "Update started"

if ! /bin/gen_request.sh; then
	log "ERROR: Can't gen request.xml"
	exit 3
fi

if ! /bin/sign_request.sh; then
	log "ERROR: Can't sign request"
	exit 4
fi

cd /gost-ssl/php
# rm -f dump.xml* register.zip

if ! php send.php; then
	log "WARNING: Update failed, try one more time..."
	if ! php send.php; then
		log "ERROR: RKN lists update failed"
	fi
fi

if [ ! -f register.zip ]; then
	log "ERROR: No register.zip found"
	exit 1
fi

unzip -o register.zip

if [ ! -f dump.xml ]; then
	log 'ERROR: No dump.xml into register.zip'
	exit 2
fi

log "RKN lists updated successful"
